Your message dated Wed, 21 Sep 2016 18:33:52 +0000
with message-id <e1bmmla-0004cg...@franck.debian.org>
and subject line Bug#837831: fixed in totem-pl-parser 3.10.7-1
has caused the Debian Bug report #837831,
regarding totem-pl-parser: (Future) FTBFS due to undeclared build dependencies
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
837831: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=837831
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: totem-pl-parser
Version: 3.10.6-4
Severity: important
User: pkg-gnome-maintain...@lists.alioth.debian.org
Usertags: gtk-doc-tools

Hi,

your package totem-pl-parser declares a build dependency on gtk-doc-tools.
gtk-doc-tools in turn depends on gnome-common, which in turn pulls in packages
like gettext, intltool or pkg-config.

The dependency on gnome-common was originally added for the GNOME_GTKDOC_CHECK
macro which has been deprecated and replaced by GTK_DOC_CHECK a long time ago.

As gnome-common has been declared deprecated by GNOME upstream [1], we would
like to drop this dependency from gtk-doc-tools.

We did a test of all reverse build dependencies of gtk-doc-tools and 
totem-pl-parser
failed to build due to now missing build dependencies which are no longer
pulled in by gtk-doc-tools.

A complete build log is available at
https://people.debian.org/~biebl/gtk-doc-tools/totem-pl-parser.log

We have uploaded that gtk-doc-tools package as 1.25-4 to experimental as well,
so you can test your package against this version.

Common build-failures and their fixes:

a/ configure.ac:32: error: possibly undefined macro: AC_PROG_INTLTOOL

   make[1]: intltoolize: Command not found

   → Build-Depends: intltool

b/ ./configure: line 5461: syntax error near unexpected token `yes'
   ./configure: line 5461: `GNOME_COMPILE_WARNINGS(yes)'

   ./configure: line 14801: GNOME_CODE_COVERAGE: command not found

   → Build-Depends: gnome-common (for GNOME_* macros)

c/ ./configure: line 17439: syntax error near unexpected token 
`$WARN_CFLAGS_EXTRA,'
   ./configure: line 17439: `AX_APPEND_COMPILE_FLAGS($WARN_CFLAGS_EXTRA, 
WARN_CFLAGS)'

   ./configure: line 2629: syntax error near unexpected token `git-directory'
   ./configure: line 2629: `AX_IS_RELEASE(git-directory)'

   → Build-Depends: autoconf-archive (for AX_* macros)

d/ ./configure: line 12518: intltool-update: command not found
   checking for intltool >= 0.40.0...  found
   ./configure: error: Your intltool is too old.  You need intltool 0.40.0 or 
later.

   → Build-Depends: intltool

e/ make[1]: intltoolize: Command not found

   → Build-Depends: intltool

f/ ./autogen.sh calls gnome-autogen.sh

   → Build-Depends: gnome-common


Please add the required build-dependencies to your package so once we upload
gtk-doc-tools_1.25-4 to unstable your package doesn't FTBFS.

Regards,
Michael


[1] https://wiki.gnome.org/Projects/GnomeCommon/Migration

--- End Message ---
--- Begin Message ---
Source: totem-pl-parser
Source-Version: 3.10.7-1

We believe that the bug you reported is fixed in the latest version of
totem-pl-parser, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 837...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <bi...@debian.org> (supplier of updated totem-pl-parser package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 21 Sep 2016 20:16:21 +0200
Source: totem-pl-parser
Binary: libtotem-plparser-dev libtotem-plparser-common libtotem-plparser18 
gir1.2-totem-plparser-1.0
Architecture: source
Version: 3.10.7-1
Distribution: unstable
Urgency: medium
Maintainer: Debian GNOME Maintainers 
<pkg-gnome-maintain...@lists.alioth.debian.org>
Changed-By: Michael Biebl <bi...@debian.org>
Description:
 gir1.2-totem-plparser-1.0 - GObject introspection data for the Totem Playlist 
Parser library
 libtotem-plparser-common - Totem Playlist Parser library - common files
 libtotem-plparser-dev - Totem Playlist Parser library - development files
 libtotem-plparser18 - Totem Playlist Parser library - runtime files
Closes: 837831
Changes:
 totem-pl-parser (3.10.7-1) unstable; urgency=medium
 .
   [ Andreas Henriksson ]
   * Convert from cdbs to dh.
   * Drop libtotem-plparser-dbg in favour of automatic dbgsym
   * Bump dh compat to 10 (automatic dh-autoreconf)
   * Bump Standards-Version to 3.9.8
   * Run testsuite, non-fatal for now until it's fixed.
   * Add explicit gnome-common build-dependency (Closes: #837831)
 .
   [ Michael Biebl ]
   * New upstream release.
Checksums-Sha1:
 49c70a3da51c9b1cf0c5491b9cb97b9e60b28bda 2658 totem-pl-parser_3.10.7-1.dsc
 896c643bbff2ff9f24ddfe45a620e17b06bc1386 1608864 
totem-pl-parser_3.10.7.orig.tar.xz
 31f3f1e829bb77f93d6e061080e3fc5368f5ab17 7580 
totem-pl-parser_3.10.7-1.debian.tar.xz
Checksums-Sha256:
 82a8cf2dbc0c548c801afdb6e301222d3819fecfe7f6994524ec91d8a67c1be4 2658 
totem-pl-parser_3.10.7-1.dsc
 9c8285bc3131faa309d5cba5a919d5166abc2b8cc5a0c850fe861be8b14e089c 1608864 
totem-pl-parser_3.10.7.orig.tar.xz
 26954c202e4cba31f6c5fe183971a36cd471ba7d09198ad7f871e977d7fc0863 7580 
totem-pl-parser_3.10.7-1.debian.tar.xz
Files:
 4c113e94a693c9d53e11af54eb6a0d46 2658 libs optional 
totem-pl-parser_3.10.7-1.dsc
 a316c4c82ac64758d7b57e422a07a75e 1608864 libs optional 
totem-pl-parser_3.10.7.orig.tar.xz
 64b3f1e989649f5d9d19851b032096da 7580 libs optional 
totem-pl-parser_3.10.7-1.debian.tar.xz

-----BEGIN PGP SIGNATURE-----

iQIuBAEBCAAYBQJX4s+3ERxiaWVibEBkZWJpYW4ub3JnAAoJEGrh3w1gjyLcLSsP
/3M3/dcK2+wWZZWjMSHR1eXXmyiv2pjhE1kdC9Lnguy53GIR1Av4iGEB7sfn8wwL
xknVn4d8Y4hXE95K94tgiTeZLHmxV1Cf2GsY+tbK2E1wD/MMPJAd1LWgjvqXM3No
vDfCMlpsUdKTlZnGLXlph6QtQCe549OBULY6ZI2xZjSszt6c567U2e1pLPiw26JF
BP/HauJ0Jr3RVWdsJIyGmp7JQLrwA9U+khKgX1zrG7RDFjZe8lZE5bT/fyYAi+tS
czaKU9CniQ63T2YxJBA6iETTnk3qBWYXMRxOQCZEP4/Ux9Ppn0AGMy3WoKGcG8Bm
/dCD31yMNVq/W4PBiCrKnUDe+ywsvleLMkW/yj2Qh5wtCaS/XVMeexmUniOYZk9b
MOQrcI6/0Age1vI6pbTq9efyyRWfGeatoUHozq5XLxxCQEPdx/9aH6xsIuw2MIs9
cpnATewU+UF7d4r20Vi7yBe9Iwcdr4HpfKHAPst2Bkn+dHAmz9d5F4V46P3U4OXJ
qyiVfqg1UMWgq2h8/+UwlD4rihmqXVndhxUO3qTFFUDa20ruCd48ISxweNCnCEzx
++iFc6VieRwqLC6mGLmj1/h0Q2Wy2XTaBPyA6UHLE+AQIfmqFmZzd/Ne+Hnl1FYL
A9jDj+/sX4Q5QeLzFlII/SgwIdzLQM0/PwydGxnPPzmO
=8umd
-----END PGP SIGNATURE-----

--- End Message ---

Reply via email to